package net.maunium.bukkit.MauTeams;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;

public class JoinListener implements Listener {
	private MauTeams plugin;
	
	public JoinListener(MauTeams plugin) {
		this.plugin = plugin;
	}
	
	@EventHandler
	public void onPlayerJoin(PlayerJoinEvent evt) {
		if (!plugin.isInTeam(evt.getPlayer())) {
			Team t = plugin.getTeamByUUID(evt.getPlayer().getUniqueId());
			if (t != null) plugin.addToTeam(evt.getPlayer(), t);
		}
	}
}
